package toy;

import java.applet.*;       //Applet support
import java.awt.*;          //Image support
import java.awt.image.*;    //More image support
import java.net.*;
import java.io.*;

import toy.image.*;

/**
 * ToySplashApplet is just an applet that contains a ToySplash child.  It is the
 * applet used on the "Applet Launch Page."
 *
 * @author Brian Tsang
 * @version 7.0
 */

public class ToySplashApplet extends Applet
{
    /**
     * The splash component which should fill up the entire applet.
     * @serial
     */
    private ToySplash splash;


    /**
     * When the applet is started, add the splash component.
     */
    public void start()
    {
        setLayout(null);
        splash = new ToySplash(this);
        splash.setBounds(0, 0, getBounds().width, getBounds().height);
        add(splash);
    }

    /**
     * When the applet is stopped, remove the splash component and garbage
     * collect it.
     */
    public void stop()
    {
        remove(splash);
        splash.finalize();
        splash = null;
    }
}