package toy.dialog;

import java.awt.*;

/**
 *
 * @author Brian Tsang
 * @version 7.0
 */

public class ToySpacer extends Component
{
    private Dimension preferredSize;

    public ToySpacer()
    {
        this(0, 0);
    }

    public ToySpacer(Dimension newPreferredSize)
    {
        this(newPreferredSize.width, newPreferredSize.height);
    }

    public ToySpacer(int width, int height)
    {
        setPreferredSize(width, height);
    }


    ////////////////////////////////////////////////////////////////////////////
    // Describe our new Component

    public boolean isFocusTraversable()
    {
        return false;
    }

    public boolean isDoubleBuffered()
    {
        return false;
    }

    public boolean isLightweight()
    {
        return true;
    }

    public Dimension getPreferredSize()
    {
        return preferredSize;
    }

    public Dimension getMinimumSize()
    {
        return preferredSize;
    }

    public Dimension getMaximumSize()
    {
        return preferredSize;
    }

    public void setPreferredSize(Dimension newPreferredSize)
    {
        setPreferredSize(newPreferredSize.width, newPreferredSize.height);
    }

    public void setPreferredSize(int width, int height)
    {
        preferredSize = new Dimension(width, height);
    }

    ////////////////////////////////////////////////////////////////////////////
    // Override the painting functions
    public void update(Graphics g)
    {

    }

    public void paint(Graphics g)
    {

    }
}