package toy.dialog;

import java.awt.TextArea;

/**
 *
 * @author Brian Tsang
 * @version 7.0
 */

public class ToyTextAreaState
{
    String text;

    int caretPosition;
    int selectionStart, selectionEnd;

    public ToyTextAreaState(ToyTextArea textArea)
    {
        text = textArea.getText(true);

        caretPosition = textArea.getCaretPosition();
        selectionStart = textArea.getSelectionStart();
        selectionEnd = textArea.getSelectionEnd();
    }

    public void restoreState(ToyTextArea textArea)
    {
        textArea.setText(text);

        textArea.requestFocus();
        textArea.setCaretPosition(caretPosition);
        textArea.select(selectionStart, selectionEnd);
    }

    public boolean equals (Object obj)
    {
        if (obj instanceof ToyTextAreaState)
            return text.equals(((ToyTextAreaState)obj).text);
        else
            return false;
    }

    public String toString()
    {
        return text;
    }
}