package edu.princeton.swing;

import javax.swing.*;

/**
 * A subclass of DefaultListCellRenderer which displays disabled text as though it were enabled
 * text.
 *
 * @author btsang
 * @version 7.1
 */
public class EnabledListCellRenderer extends DefaultListCellRenderer
{
    /**
     * Creates a new EnabledListCellRenderer.
     */
    public EnabledListCellRenderer()
    {
        super();

        if (!isEnabled())
            super.setEnabled(true);
    }

    /**
     * Override setEnabled() to ignore attempts to disable the cell renderer.
     */
    public void setEnabled(boolean enabled)
    {
        // ignore
    }
}