package edu.princeton.swing;

import javax.swing.*;

/**
 * TristateButtonModel extends ButtonModel to provide a third state (for components which can
 * render it).
 *
 * @author btsang
 * @version 7.1
 */
public abstract interface TristateButtonModel extends ButtonModel
{
    /**
     * Returns true if the button is in tristate.  If this returns true, isSelected() should also
     * return true.
     *
     * @return True iff the button is in tristate.
     */
    public abstract boolean isTristate();

    /**
     * Sets wheter or not the button is in tristate.  If true is passed, setSelected(true)
     * would be called first.
     *
     * @param tristate Wheter or not the button should be in tristate.
     */
    public abstract void setTristate(boolean tristate);
}
